package gpsys.cos;
import java.awt.*;
import java.awt.Graphics.*;

/**
 * Allows monitoirng of changes to the Terrain.
 *
 * @see			gpsys.cos
 *
 * @version             1.1, 24 Mars 1999
 * @author      <a href="mailto:epierre@e-nef.com">Emmanuel PIERRE</a>
 *                      <address>DEA IARFA,</address>
 */
public interface TerrainObserver {

	/** 
	 * Called when the entire Terrain regenerates.
	 */
	public void terrainInit();
	/** 
	 * Called when the square at the specified coordinates is being cut.
	 *
	 * @param x	The X-coordinate of the terrain square being cut.
	 * @param y	The Y-coordinate of the terrain square being cut.
	 */
	public void robotMoved(int x, int y);

	/**
	 * Print to a TextArea	
	 */
	public void printTxt(String str);

	/**
	 * Print to a text box	
	 */
	public void printInfo(String str);
	
}
